//
//  main.m
//  DieKlassePerson
//
//  Created by Holger Hinzberg on 03.09.11.
//  Copyright 2011 Cocoa-Coding. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Person.h"

int main (int argc, const char * argv[]) {
    NSAutoreleasePool * pool = 
    [[NSAutoreleasePool alloc] init];
    
    // Punkt Notation
    /*
    Person *meinePerson = [[Person alloc] init];
    meinePerson.name = @"Hannes";
    meinePerson.vorname = @"Schmidt";
    meinePerson.alter = 64;
    
    NSLog(@"Die Person %@ %@ ist %i Jahre alt.",
          meinePerson.vorname,
          meinePerson.name,
          meinePerson.alter);
    */
    
    
    // 6.5	Zuweisungen über eigenen Methoden
    /*
    Person *meinePerson = [[Person alloc] init];
    [meinePerson setName:@"Schmidt" 
                 Vorname:@"Hannes" Alter:64];
    
    NSLog(@"Die Person %@ %@ ist %i Jahre alt.",
          [meinePerson vorname], [meinePerson name],
          [meinePerson alter]);
    
    */
    
    // 6.6	Initialisierungs-Methoden
    /*
    Person *meinePerson =
    [[Person alloc] initMitName:@"Schmidt"
                        Vorname:@"Hannes"
                          Alter:64];
    
    NSLog(@"Die Person %@ %@ ist %i Jahre alt.", 
          [meinePerson vorname], [meinePerson name], 
          [meinePerson alter]);
    */
    
    
    // Description ausgeben
    // NSLog(@"%@",meinePerson);
    
    // Personenobjekte erzeugen
    Person *person1 = [[Person alloc] init];
    [person1 setAlter:55];
    [person1 setVorname:@"Max"];
    [person1 setName:@"Müller"];
    
    Person *person2 = [[Person alloc] init];
    [person2 setAlter:55];
    [person2 setVorname:@"Max"];
    [person2 setName:@"Müller"];
    
    // Hier wird verglichen
    bool b = [person1 istGleichMit:person2];
    
    if(b == true)
    {
        NSLog(@"Objekte sind gleich.");
    }
    else
    {
        NSLog(@"Objekte sind ungleich.");
    }
    
    
    [pool drain];
    return 0;
}

